Skip to content
EnGenius / PRODUCT DOSSIER

EnGenius EWS7952FP

EnGenius EWS7952FP Switch
SKU: C2784031

EnGenius EWS7952FP Switch — Switch. Memory (RAM): 256 MB. Detailed technical specifications, hardware compatibility, and price breakdown.

Memory (RAM)
256 MB
View Specs Buy on Amazon →

You can report any missing or inaccurate technical specifications.

Recorded technical parameters and manufacturer data are verified.

01 / DISCOVER PRODUCT

Without getting lost in details.

Key registered specifications at a glance. Full technical details below.

01 / Memory (RAM)

256 MB

Memory (RAM)

Technical specifications

Recorded specifications are grouped by product category. Missing data does not imply lack of support.
Connection Gateway Mirroring
Yes
Connection Clustering
Yes
10G support
No
Tree Protocol Duration
Yes
Copper ethernet cabling technology
DHCP features
Total Power on Ethernet Enclosure
740 W
Number of Ethernet Power Poe Inputs
48
Power Over Ethernet Poe Support
Yes
Search IGMP
Yes
Basic Opening Closing RJ 45 Ethernet Input Count
Basic Opening Closing RJ 45 Ethernet Input Type
Wi-Fi standards
IEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at
Communication LED Indicators
Upgradable Embedded Software
Yes
Security Algorithm Supported
WEP, WPA, WPA2, WPA2-PSK
SSH/SSL support
Yes
Operating Humidity Range
5 - 95%
Operating Temperature Range
0 - 40 °C
Weight
Depth
Width
Shelf Installation
Yes
Web-based management
Yes
Height
Product Color
RAM capacity
Flash memory
Storage Temperature Range Celsius
Contact Layer
Key Type
Connection Control List ACL
Yes
Publication Flow Control
Yes
Form factor
Compatible System HS Code
85176990
Routing Transit Capacity
Routing/switching capacity
104 Gbit/s
SFP Module Slot Count
MAC address filtering
Yes
Quick start guide
Yes
Included Cables
AC, LAN (RJ-45)
Brand
EnGenius
Category
Network Switches
Product Name
EWS7952FP
GTIN EAN UPC
4713361931697,
Category
Network Switches
Usage Manual
Yes
Brand
EnGenius
Product Name
EWS7952FP
Product Series
Sold Markets
IT, GB, DK, DE, US, BE, UA, CA, SE, FR, ES, FI, NL, MX, NO, AM, EE
Date Added to System
2020-03-31
Production Date
Product Code
EWS7952FP
Speed Limiting
Yes
MIB support
RFC1213, RFC1493, RFC1757, RFC2674
SSH SSL Support
Yes
VLAN support
Yes
Backup and Transfer
Yes
Management protocols
SNMP v1/v2c/v3, CLI, RMONv1, Syslog
EnGenius EWS7952FP Switch